commit: c1ed105b1eeb213edbbd7405bfa13a0d89e48711
Author: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Mon Aug 3 21:23:49 2020 +0000
Commit: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Fri Aug 14 23:21:27 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c1ed105b
dev-python/bsddb3: Drop superfluous calls to python_is_python3
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>
dev-python/bsddb3/bsddb3-6.2.7.ebuild | 13 +------------
1 file changed, 1 insertion(+), 12 deletions(-)
diff --git a/dev-python/bsddb3/bsddb3-6.2.7.ebuild
b/dev-python/bsddb3/bsddb3-6.2.7.ebuild
index b925dd3cd69..47c88f81dcd 100644
--- a/dev-python/bsddb3/bsddb3-6.2.7.ebuild
+++ b/dev-python/bsddb3/bsddb3-6.2.7.ebuild
@@ -63,17 +63,6 @@ python_configure_all() {
export YES_I_HAVE_THE_RIGHT_TO_USE_THIS_BERKELEY_DB_VERSION=1
}
-python_compile() {
- if ! python_is_python3; then
- local -x CFLAGS="${CFLAGS} -fno-strict-aliasing"
- fi
- distutils-r1_python_compile
-}
-
python_test() {
- if python_is_python3; then
- PYTHONPATH=Lib3 "${EPYTHON}" test3.py -v || die "Testing failed
with ${EPYTHON}"
- else
- PYTHONPATH=Lib "${EPYTHON}" test.py -v || die "Testing failed
with ${EPYTHON}"
- fi
+ PYTHONPATH=Lib3 "${EPYTHON}" test3.py -v || die "Testing failed with
${EPYTHON}"
}